### Virtual Method

# Secret Backend search

#### Declaration [src]

    void
    search (
      SecretBackend* self,
      const SecretSchema* schema,
      GHashTable* attributes,
      SecretSearchFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`schema` | `SecretSchema`
| No description available.
| The data is owned by the caller of the function.
`attributes` | `GHashTable`
| No description available.
| The data is owned by the caller of the function.
`flags` | `SecretSearchFlags`
| No description available.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.